Bug 448764 - FEAT: Add rtl818x drivers
FEAT: Add rtl818x drivers
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: John W. Linville
Martin Jenner
:
Depends On:
Blocks: RHEL5u3_relnotes
  Show dependency treegraph
 
Reported: 2008-05-28 13:33 EDT by John W. Linville
Modified: 2009-01-20 15:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
the rtl8180 and rtl8187 drivers for Realtek wireless devices has been backported to Red Hat Enterprise Linux 5.3 from Linux Kernel 2.6.26.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:24:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John W. Linville 2008-05-28 13:33:37 EDT
Add drivers for Realtek wireless hardware
Comment 1 John W. Linville 2008-05-28 13:35:21 EDT
Test kernels with these updates are available here:

   http://people.redhat.com/linville/kernels/rhel5/

Any interested parties should try those kernels and report the results
here...thanks!
Comment 5 John W. Linville 2008-08-14 16:07:02 EDT
Test kernels w/ drivers from 2.6.26 available here:

   http://people.redhat.com/linville/kernels/rhel5/

Please give them a try and post the results here...thanks!
Comment 7 Don Zickus 2008-09-02 23:40:01 EDT
in kernel-2.6.18-107.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 10 Ryan Lerch 2008-11-06 01:40:35 EST
This bug (feature request) has been marked for inclusion in the Red Hat
Enterprise Linux 5.3 Release Notes.

To aid in the development of relevant and accurate release notes, please fill
out the "Release Notes" field above with the following 4 pieces of information:


Cause:   What actions or circumstances induced the feature request.

Consequence:  What action was inhibited by the feature's absence.

Fix:   What was done to implement the feature.

Result:  now happens when the actions or circumstances above occur. (NB: this
is not the same as 'the feature request was fulfilled')
Comment 12 John W. Linville 2008-11-20 14:27:46 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Cause:  Realtek wireless hardware was not supported in RHEL5.

Consequence:  Owners of this hardware could not use wireless networks.

Fix:  The upstream rtl8180 driver and the upstream rtl8187 driver were backported to RHEL5 from upstream kernel version 2.6.26.

Result:  Most Realtek 802.11b/g devices now work with RHEL5.
Comment 14 Ryan Lerch 2008-11-20 17:46:34 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,7 +1 @@
-Cause:  Realtek wireless hardware was not supported in RHEL5.
+the rtl8180 and rtl8187 drivers for Realtek wireless devices has been backported to Red Hat Enterprise Linux 5.3 from Linux Kernel 2.6.26.-
-Consequence:  Owners of this hardware could not use wireless networks.
-
-Fix:  The upstream rtl8180 driver and the upstream rtl8187 driver were backported to RHEL5 from upstream kernel version 2.6.26.
-
-Result:  Most Realtek 802.11b/g devices now work with RHEL5.
Comment 16 errata-xmlrpc 2009-01-20 15:24:40 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.